<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function boolean

Create a boolean or convert a string or number to a boolean.
In case of a number, `true` is returned for non-zero numbers, and `false` in
case of zero.
Strings can be `'true'` or `'false'`, or can contain a number.
When value is a matrix, all elements will be converted to boolean.


## Syntax

```js
math.boolean(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`value` | string &#124; number &#124; boolean &#124; Array &#124; Matrix &#124; null | A value of any type

### Returns

Type | Description
---- | -----------
boolean &#124; Array &#124; Matrix | The boolean value


## Examples

```js
math.boolean(0);     // returns false
math.boolean(1);     // returns true
math.boolean(-3);     // returns true
math.boolean('true');     // returns true
math.boolean('false');     // returns false
math.boolean([1, 0, 1, 1]);     // returns [true, false, true, true]
```


## See also

[bignumber](bignumber.md),
[complex](complex.md),
[index](index.md),
[matrix](matrix.md),
[string](string.md),
[unit](unit.md)
